Package org.opensaml.xmlsec.algorithm

# Interface SignatureAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`, `KeySpecifiedAlgorithm`

All Known Implementing Classes:
  `SignatureDSASHA1`, `SignatureDSASHA256`, `SignatureECDSASHA1`, `SignatureECDSASHA224`, `SignatureECDSASHA256`, `SignatureECDSASHA384`, `SignatureECDSASHA512`, `SignatureRSAMD5`, `SignatureRSARIPEMD160`, `SignatureRSASHA1`, `SignatureRSASHA224`, `SignatureRSASHA256`, `SignatureRSASHA384`, `SignatureRSASHA512`, `SignatureRSASSA_PSS_SHA1_MGF1`, `SignatureRSASSA_PSS_SHA224_MGF1`, `SignatureRSASSA_PSS_SHA256_MGF1`, `SignatureRSASSA_PSS_SHA3_224_MGF1`, `SignatureRSASSA_PSS_SHA3_256_MGF1`, `SignatureRSASSA_PSS_SHA3_384_MGF1`, `SignatureRSASSA_PSS_SHA3_512_MGF1`, `SignatureRSASSA_PSS_SHA384_MGF1`, `SignatureRSASSA_PSS_SHA512_MGF1`

public interface SignatureAlgorithm extends KeySpecifiedAlgorithm
Interface for signature algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigest()`
Get the JCA digest algorithm specified by this algorithm.

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`

### Methods inherited from interface org.opensaml.xmlsec.algorithm.KeySpecifiedAlgorithm

`getKey`

## Method Details

### getDigest

@Nonnull @NotEmpty String getDigest()
Get the JCA digest algorithm specified by this algorithm.

Returns:
  the digest algorithm